curs_scroll(3)

NAME
scroll, scrl, wscrl - scroll a ncurses window

SYNOPSIS
#include <ncurses.h> int scroll(WINDOW *win);
int scrl(int n);
int wscrl(WINDOW *win, int n);

DESCRIPTION
The scroll routine scrolls the window up one line. This involves moving the lines in the window data structure. As an optimization, if the scrolling region of the window is the entire screen, the physical screen is scrolled at the same time. With the scrl and wscrl routines, for positive n scroll the window up n lines (line i+n becomes i); otherwise scroll the window down n lines. This involves moving the lines in the window character image structure. The current cursor position is not changed. For these functions to work, scrolling must be enabled via scrollok.

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
Note that scrl and scroll may be macros.

SEE ALSO
ncurses(3), curs_outopts(3)